TwoPlanarAddressFunction.TwoPlanarSubFunction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.parser.algorithm.twoplanar
Enum TwoPlanarAddressFunction.TwoPlanarSubFunction

    java.lang.Object
      java.lang.Enum<TwoPlanarAddressFunction.TwoPlanarSubFunction>
          org.maltparser.parser.algorithm.twoplanar.TwoPlanarAddressFunction.TwoPlanarSubFunction

All Implemented Interfaces:
  Serializable, Comparable<TwoPlanarAddressFunction.TwoPlanarSubFunction>

Enclosing class:
  TwoPlanarAddressFunction

    public static enum TwoPlanarAddressFunction.TwoPlanarSubFunction

extends Enum<TwoPlanarAddressFunction.TwoPlanarSubFunction>

Enum Constant Summary
`ACTIVESTACK`
`INACTIVESTACK`
`INPUT`

Method Summary
`static TwoPlanarAddressFunction.TwoPlanarSubFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TwoPlanarAddressFunction.TwoPlanarSubFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTIVESTACK

    public static final TwoPlanarAddressFunction.TwoPlanarSubFunction ACTIVESTACK

### INACTIVESTACK

    public static final TwoPlanarAddressFunction.TwoPlanarSubFunction INACTIVESTACK

### INPUT

    public static final TwoPlanarAddressFunction.TwoPlanarSubFunction INPUT

Method Detail

### values

    public static TwoPlanarAddressFunction.TwoPlanarSubFunction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TwoPlanarAddressFunction.TwoPlanarSubFunction c : TwoPlanarAddressFunction.TwoPlanarSubFunction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TwoPlanarAddressFunction.TwoPlanarSubFunction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.